unit TBAppPas;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Titlebar, StdCtrls, ExtDlgs, ColorGrd;

type
  TForm1 = class(TForm)
    Titlebar1: TTitlebar;
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    ScrollBar1: TScrollBar;
    Label3: TLabel;
    ScrollBar2: TScrollBar;
    opd: TOpenPictureDialog;
    btnIcon: TButton;
    chkConcaved: TCheckBox;
    chkRaised: TCheckBox;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    cg: TColorGrid;
    Label4: TLabel;
    cbAlign: TComboBox;
    Label5: TLabel;
    btnFrmColr: TButton;
    cd: TColorDialog;
    btnBtnColor: TButton;
    ScrollBar3: TScrollBar;
    Label6: TLabel;
    CheckBox5: TCheckBox;
    procedure Edit1Change(Sender: TObject);
    procedure ScrollBar1Change(Sender: TObject);
    procedure ScrollBar2Change(Sender: TObject);
    procedure btnIconClick(Sender: TObject);
    procedure chkConcavedClick(Sender: TObject);
    procedure chkRaisedClick(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure cgChange(Sender: TObject);
    procedure cbAlignChange(Sender: TObject);
    procedure btnFrmColrClick(Sender: TObject);
    procedure btnBtnColorClick(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure ScrollBar3Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Edit1Change(Sender: TObject);
begin

   Titlebar1.Caption := Edit1.Text;

end;

procedure TForm1.ScrollBar1Change(Sender: TObject);
begin

   TitleBar1.BorderWidth := ScrollBar1.Position;

end;

procedure TForm1.ScrollBar2Change(Sender: TObject);
begin

      TitleBar1.TBarWidth := ScrollBar2.Position;

end;

procedure TForm1.btnIconClick(Sender: TObject);
begin

   if OPD.Execute then begin
      TitleBar1.Icon.LoadFromFile( OPD.FileName );
      TitleBar1.MakeTitleBar;
   end;

end;

procedure TForm1.chkConcavedClick(Sender: TObject);
begin

   TitleBar1.Concaved := chkConcaved.Checked;

end;

procedure TForm1.chkRaisedClick(Sender: TObject);
begin

   Titlebar1.Raised := chkRaised.Checked;

end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin

   TitleBar1.CloseButton := CheckBox1.Checked;

end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin

   TitleBar1.MaxButton := CheckBox2.Checked;

end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin

   TitleBar1.MinButton := CheckBox3.Checked;

end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin

   TitleBar1.UseIcon := CheckBox4.Checked;

end;

procedure TForm1.cgChange(Sender: TObject);
begin

   TitleBar1.Color := cg.ForegroundColor;
   TitleBar1.DeActiveColor := cg.BackgroundColor;  

end;

procedure TForm1.cbAlignChange(Sender: TObject);
begin

   if cbAlign.Text = 'Top' then TitleBar1.Align := alTop;
   if cbAlign.Text = 'Bottom' then TitleBar1.Align := alBottom;
   if cbAlign.Text = 'Left' then TitleBar1.Align := alLeft;
   if cbAlign.Text = 'Right' then TitleBar1.Align := alRight;

end;

procedure TForm1.btnFrmColrClick(Sender: TObject);
begin

   if CD.Execute then TitleBar1.FormColor := CD.Color;

end;

procedure TForm1.btnBtnColorClick(Sender: TObject);
begin

   if CD.Execute then TitleBar1.ButtonColor := CD.Color;

end;

procedure TForm1.CheckBox5Click(Sender: TObject);
begin

   TitleBar1.AutoHide := CheckBox5.Checked;

end;

procedure TForm1.ScrollBar3Change(Sender: TObject);
begin

   TitleBar1.AutoHideWidth := ScrollBar3.Position;

end;

end.
